// ClassInfoDlg_Gui_FlatList.cpp : implementation file
//

#include "stdafx.h"
#include "ClassInfoDlg_Gui_FlatList.h"
#include "XmlClassInfo.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CClassInfoDlg_Gui_FlatList dialog


CClassInfoDlg_Gui_FlatList::CClassInfoDlg_Gui_FlatList(CWnd* pParent /*=NULL*/)
	: CPropertyEditorDlg(CClassInfoDlg_Gui_FlatList::IDD, pParent),
	classInfo_(NULL)
{
	//{{AFX_DATA_INIT(CClassInfoDlg_Gui_FlatList)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CClassInfoDlg_Gui_FlatList::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CClassInfoDlg_Gui_FlatList)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CClassInfoDlg_Gui_FlatList, CPropertyEditorDlg)
	//{{AFX_MSG_MAP(CClassInfoDlg_Gui_FlatList)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CClassInfoDlg_Gui_FlatList message handlers
void CClassInfoDlg_Gui_FlatList::StoreData()
{

}

void CClassInfoDlg_Gui_FlatList::SetData(CXmlBaseElement* element)
{
	classInfo_ = dynamic_cast<CXmlClassInfo*>(element);
	assert(classInfo_);
	if (classInfo_ == NULL)
		return;
}

void CClassInfoDlg_Gui_FlatList::OnDataUpdate()
{

}
